Red Hat Linux 7.1 Release Notes
-------------------------------

In diesem Dokument werden die neuen Merkmale von Red Hat Linux 7.1
beschrieben, die jedoch vor Fertigstellung der Dokumentation eventuell
nicht verfügbar sein werden. Die aktuellsten Informationen finden Sie in der
Datei RELEASE-NOTES auf der Red Hat Linux CD-1.

Änderungen in letzter Minute
----------------------------

    o Das Installationsprogramm Oracle (Versionen 8.1.7, 8.1.6 und andere)
      funktioniert nicht korrekt mit glibc 2.2 und höher. Das Problem besteht
      darin, dass das Installationsprogramm Objektdateien verknüpft, die von
      verschiedenen glibc kompiliert wurden (binäre Kompatibilität ist nur
      für verkünpfte Ausführungen und gemeinsame Bibliotheken durch das
      Umwandeln von Symbolen sichergestellt). Sie können dieses Problem 
      umgehen, indem Sie die Red Hat Linux kompatiblen Pakete installieren
      (compa-egcs, compat-glibc und compat-libs) und die folgende Befehle
      eingeben, bevor Sie Oracle-Installer ausführen: 

        export LD_ASSUME_KERNEL=2.2.5
        . /usr/i386-glibc21-linux/bin/i386-glibc21-linux-env.sh

      Die zweite Zeile exportiert Umgebungsvariablen, mit denen gcc und ld
      nach Headern und Bibliotheken suchen, die mit glibc 2.1.3 kompatibel
      sind.

    o Hinweis zu NFS-, FTP- oder HTTP-Installationen - Mit dem Red Hat 
      Linux 7.1 Installationsprogramm kann Red Hat Linux von mehreren CD-ROMs 
      aus installiert werden. Wenn Sie NFS-, FTP- oder HTTP-Installationen
      unterstützen möchten, ist es nicht mehr möglich einfach eine einzelne
      Red Hat Linux CD-ROM zu mounten und von dieser aus zu installieren.

      Sie müssen statt dessen das RedHat-Verzeichnis von jeder CD-ROM, die
      Red Hat Linux 7.1 enthält, auf ein Laufwerk kopieren:

        - Fügen Sie in die CD 1 Folgendes ein: 
          mount /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /location/of/disk/space
          umount /mnt/cdrom

        - Fügen Sie in die CD 2 Folgendes ein:
          mount /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /location/of/disk/space
          umount /mnt/cdrom

      Anschließend müssen Sie /location/of/disk/space für das Installations-
      programm zugänglich machen (zum Beispiel für NFS-Installationen expor-
      tieren):

        - Export /location/of/disk/space   
       
  
Erweiterungen und Veränderungen des Installationsprogramms
----------------------------------------------------------
Das Red Hat Linux 7.1 Installationsprogramm enthält eine Anzahl neuer
Merkmale. Weitere Informationen finden Sie im Offiziellen Red Hat Linux
Installationshandbuch.


    o Swap - Allgemeines-Swap - Allgemeines. Der Kernel 2.4 ist agressiver
      als der Kernel 2.2, was das Benutzen des Swap-Bereichs betrifft. Wie 
      bei den ehemaligen Kernelversionen hängt die optimale Größe des Swap-
      Bereichs jedoch ebenfalls ab:

        - von der Größe des installierten RAM-Speichers
        - vom für Swap verfügbaren Speicherplatz auf der Festplatte
        - von den ausgeführten Anwendungen
        - von der Art der gleichzeitig ausgeführten Anwendungen

      Es gibt keine Faustregel für all die angesprochenen Punkte. Dennoch
      raten wir Ihnen zu den folgenden Swap-Größen:

        - Einzelbenutzersysteme mit weniger als 128MB RAM-Speicher: 256MB
        - Einzelbenutzersysteme und Low-end Server mit mehr als 128MB
          RAM-Speicher: (2xRAM)
        - Server mit mehr als 512MB RAM-Speicher: stark von der Umgebung
          abhängig (muss von Fall zu Fall festgelegt werden)

      Obwohl manche Systeme mit spezifischen Konfigurationen und Anwendungen
      mit wenig (oder gar keinem) Swap-Bereich auskommen, sollen diese 
      Richtlinien verhindern, dass der Swap-Bereich knapp wird. Auch für den 
      Swap-Bereich gilt das Motto:

          "Besser etwas haben, das man nicht braucht, als etwas brauchen, 
           das man nicht hat."

    o Swap - Aktualisierung-Wenn Sie eine Red Hat Linux Installation
      durchführen, ist die Größenteinteilung der Swap-Partitionen ein relativ 
      einfacher Vorgang. Wenn Sie über eine ältere Version von Red Hat Linux 
      verfügen, die Sie auf Red Hat Linux 7.1 aktualisieren möchten, sollten 
      Sie jedoch beachten, dass die Größe der zuvor erstellten Swap-Partition
      eventuell nicht länger ausreicht.
  
      Das Red Hat Linux Installationsprogramm überprüft nun den verfügbaren
      Swap-Bereich. Wenn der Swap-Bereich nicht ausreichend ist, wird das
      Programm zusätzlichen Platz in Form einer Swap-Datei konfigurieren. 
      Sie werden dabei aufgefordert, die gewünschte Größe der neuen Swap-
      Datei anzugeben.

      (Beachten Sie: Das Red Hat Linux Installationsprogramm erstellt in
      keinem Fall eine Swap-1*Partition oder Datei, die größer ist als 2GB.
      Wenn Sie andere Swap-Größen benötigen, stellen Sie sie nach der 
      Installation ein.)

    o XFree86 4.0.3-Das Red Hat Linux Installationsprogramm enthält verbesserte
      Testbildschirme und eine verbesserte Ermittlung des Grafikspeichers,
      damit Sie wie immer mit geringem Aufwand alles richtig einstellen können.
    
    o Firewall Konfiguration-Um mehr Sicherheit zu garantieren, können Sie
      die Firewall als Teil Ihrer Systeminstallation konfigurieren. Sie 
      können dabei zwischen zwei Scherheitsstufen wählen, sowie entscheiden, 
      welche Systemdienstprogramme standard-mäßig zugelassen werden sollen.

      Beachten Sie bitte, dass sowohl "mittlere" als auch "hohe" Firewall-
      Einstellungen dazu führen werden, dass RPC-basierte Dienste (wie NIS 
      oder NFS) gefiltert werden und daher nicht funktionieren.

    o Installation von der Festplatte-Beim Installieren von Festplatten-
      laufwerken sind jetzt ISO-Images erforderlich. Daher ist es nicht 
      mehr notwendig, den gesamten Baum zu kopieren und zu installieren. 
      Legen Sie einfach das erforderliche ISO-Image in ein Verzeichnis. Geben
      Sie schließlich dem Red Hat Linux Installationsprogramm während der
      Installation von der Festplatte dieses Verzeichnis an. Da Red Hat 
      MD5-Prüfsummen für die ISO-Images veröffentlicht, kann nun auch 
      gewährleistet werden, dass Sie offiziell veröffentlichte Software ver-
      wenden, indem Sie das md5sum-Programm mit Ihren ISO-Images laufen lassen
      und Ihre Prüfsummen mit den von Red Hat veröffentlichten Prüfsummen 
      vergleichen.
 
    o Sprachenauswahl-In Bezug auf die Auswahl der Sprache wurden wesentliche
      Änderungen vorgenommen. Damit ist es möglich, die Installation in einer
      Sprache durchzuführen und festzulegen, dass nach der Installation eine 
      andere Sprache verwendet wird.

    o Laptop Installationsklasse-Eine neue "Laptop"-Installationsklasse ist
      nun verfügbar, die standardmäßig PCMCIA-Support ermöglicht. Sie sollte 
      automatisch verwendet werden, wenn Ihr Computer über einen unter-
      stützten PCMCIA-Controller verfügt.

    o LBA32 Support-Inzwischen ist Support für die LBA32-Option in LILO
      erhältlich. Auf diese Weise ist es möglich, teilweise oder vollständig 
      von Partitionen über Zylinder 1024 zu booten (was bisher die Grenze 
      darstellte). Beachten Sie bitte, dass nicht alle Motherboards diese
      Option unterstützen, auch wenn das BIOS es unterstützen sollte. Diese
      Option wird daher stan-dardmäßig deaktiviert. Beachten Sie auch, dass 
      diese Option nur dann verfügbar ist, wenn eine Partition mit fdisk, 
      erstellt worden ist und diese dann als /boot oder / Partition ausgewählt
      wird. Die fdisk Option ist notwendig, da es nicht möglich ist, eine
      bootbare Partition über Zylinder 1024 mit Disk Druid zu erstellen.

    o Disk Druid Verbesserungen-Disk Druid ermittelt jetzt Inkonsistenzen in
      der Partitionstabelle, wie z.B. Partitionen, die nicht an den
      Zylindergrenzen enden. Dies kann daran liegen, dass die Geometrie des 
      Festplattenlaufwerks anders eingelesen wird, als bei der Partitionierung
      des Laufwerks. In diesen Fällen raten wir Ihnen, das fdisk Programm
      dazu zu verwenden, diese Unbeständigkeiten zu kontrollieren oder das
      Laufwerk komplett zu überspringen.
  
    o Graphische Kickstart Konfiguration-Red Hat Linux 7.1 bietet Ihnen nun 
      eine grafische Benutzeroberfläche, die es Ihnen ermöglicht, Kickstart-
      Konfigurationen zu erstellen. Der Installationsprozess wird daher 
      erheblich vereinfacht.

    o Verbesserter Rettungsmodus-Der Rettungsmodus versucht nun, die 
      Dateisysteme, die in /etc/fstab enthalten sind (sofern das Root-
      Dateisystem auffindbar ist), zu mounten. Die Dateisysteme werden unter
      /mnt/sysimage gemountet. Damit wird der Vorgang für erstmalige Benutzer
      des Rettungsmodus erheblich erleichtert.

    o Neue Option für die Konfiguration der Authentifizierung-Die Konfigu-
      ration der Authentifizierung bietet nun auch die Möglichkeit, die 
      Option Transport Layer Security ( TLS) zu verwenden, wenn Sie Lookups 
      durchführen. TLS ermöglicht es LDAP-Clients, bei der Authentifizierung 
      eine verschlüsselte Verbindung zu verwenden.

    o Verschiedene Verbesserungen des Installationsprogramms-Insgesamt gibt
      es viele zusätzliche Tests und Kontrollen, die potentielle Probleme 
      lösen, die vorher zu Abstürzen des Installers geführt haben. Dies sollte
      die Anzahl negativer Ersterfahrungen bei neuen Benutzern reduzieren.

Erweiterungen und Veränderungen des Systems
-------------------------------------------
  
Außer dem Installationsvorgang bietet Red Hat Linux 7.1 noch viele weitere 
neue Merkmale. Einige Beispiele sind server-orientierte Programme und neue 
Anwendungen oder Veränderungen der Desktop-Umgebung. In der Liste finden 
Sie weitere Informationen über die Neuheiten im Red Hat Linuxsystem.

    o Aktualisierung der wichtigsten Komponenten-Die folgenden System-
      bestandteile wurden in Red Hat Linux 7.1 aktualisiert:

        - kernel 2.4.x (mit zusätzlichen Fixes)
        - glibc 2.2.2
        - KDE 2.1.1
        - XFree86 4.0.3 mit der Xft Anti-Aliasing Font Render Extension
        - GCC 2.96-RH mit vielen Verbesserungen gegenüber der Version 7.0

    o Verbesserter USB-Support -Der Kernel 2.4 stellt Red Hat Linux 7.1
      einen verbesserten USB-Support zur Verfügung. Er enthält mehr Treiber 
      und Support für Massenspeicher wie CD-ROMs. Zusätzlich unterstützt er
      "hotpluggable" oder herausnehmbare Geräte - wenn ein unterstütztes Gerät
      nach dem Booten angeschlossen wird, werden die nötigen Treiber 
      automatisch nachgeladen.
 
    o Laufwerke, die entfernt werden können, werden automatisch /etc/fstab
      hinzugefügt -Red Hat Linux 7.1 gibt den Benutzern die Moglichkeit, die
      wechselbaren Laufwerke zu mounten und abzumounten. Dies erfolgt über das
      updfstab-Programm ( Teil des kudzu -Hardwarekonfigurators beim Booten). 
      Dieses Programm fügt die notwendigen Einträge in /etc/fstab hinzu oder 
      entfernt sie. Bitte beachten Sie, dass jeder Eintrag, der von updfstab 
      verwaltet wird, eine kudzu-Option enthält. Diese fungiert als eine 
      Markierung und gibt an, dass die Eingabe später entfernt werden könnte. 
      Wenn Sie in fstab eine solche Eingabe permanent hinzufügen wollen, 
      entfernen Sie die kudzu-Option.

      Hotpluggable" Geräte werden mit einer Kombination von cardmgr, hotplug,
      updf-stab und pam_console_apply gehandhabt. Wenn der Kernel hotplug oder
      card-mgr benachrichtigt, dass ein neues Speichergerät an das System 
      angeschlossen wurde, wird updfstab dazu verwendet, die neuen Einträge 
      in fstab hinzuzufügen. Daraufhin startet updfstab pam_console_apply, das
      sich der Regeln bedient, die in /etc/security/console.perms spezifiziert
      sind, um dem aktuellen Konsolenbenutzer Zugriff auf das Gerät zu 
      gewähren.

      GNOME-Benutzer, die magicdev ausführen, werden automatisch Gerätesymbole
      auf Ihrem Desktop sehen. magicdev kontrolliert automatisch den 
      Zeitstempel von /etc/fstab und veranlasst gmc dazu, die Geräte neu zu 
      erfassen, wenn die fstab sich verändert hat. Wenn Sie magicdev nicht 
      ausführen, steht die die "Rescan-Option" im Rootmenü gmc (das angezeigt 
      wird, wenn Sie mit der rechten Maustaste auf den Desktop klicken) zur 
      Verfügung, die eine ähnliche Funktion ausübt.

      In KDE stehen die gleichen Funktionen zur Verfügung

    o Neue und aktualisierte Treiber -Red Hat Linux 7.1 enthält durch den
      Kernel 2.4 viele neue oder aktualisierte Treiber. Hierzu gehören:
 
        - Aktualisierte Adaptec AIC7XXX SCSI Treiber
        - IEEE1394 (FireWire?) Subsystem
        - Adaptec Starfire Quad Ethernet
        - Aironet 802.11 WiFI Ethernet
        - National Semiconductor DP83810 Ethernet
        - ATM Subsystem und verschiedene ATM-Treiber
        - DECnet Subsystem
        - Cyclom 2X, DEFEA, und DEFPA FDDI
        - IPv6 Support
        - NFS Version 3
        - iptables, ein verbessertes Firewall-Subsystem
        - Maestro3 Sound
        - Broadcom BCM5700 PCI-X 10/100/1000BASE-T Controller
        - IDE UltraDMA/66 und UltraDMA/100 Controller-Support
 
    o 3D-Beschleunigung mit XFree86 4.0.3-Eine große Anzahl von neuen
      3DFX-Karten wurde der Liste mit den Karten hinzugefügt, die 
      beschleunigte 3D-Grafik unterstützen. Zudem unterstützen Intel i810, 
      Matrox G200, G400, G450 und ATI Rage 128-basierte Karten auch 
      beschleunigte 3D-Grafik (beachten Sie, dass Zweimonitorbetrieb auf 
      G450 nicht unterstützt wird). Beachten Sie auch, dass die 3D-Beschleu-
      nigung auf ATI Radeon-Karten bisher noch über keine Unterstützung von 
      Xfree86 4.0.3 verfügt.

    o Neues Apache-Konfigurationstool-apacheconf:

        - Hilft auf intelligente Weise bei der Verwaltung virtueller Hosts
        - Wird mit der Datenbibliothek Alchemist konfiguriert

    o Neues Bind-Konfigurationstool-bindconf:

        - Erleichtert die DNS-Konfiguration
        - Wird mit der Datenbibliothek Alchemist konfiguriert

    o Neues Drucker-Konfigurationstool -printconf:

        - Die Filter basieren auf David Parsons Magicfilter, auf dem
          Foomatic-System und der Linux Druckerdatenbank 
          (http://linuxprinting.org).
        - Unterstützt über 500 Drucker
        - Ältere Systeme, die mit printtool konfiguriert sind, werden
          aktualisiert
        - Wird mit der Datenbibliothek Alchemist konfiguriert.
 
    o Verbesserungen des Red Hat Netzwerks, der Software Manager-Dienst wird
      angekündigt-Red Hat Network und das Clientprogramm Update Agent wurden
      für diese Version von Red Hat Linux erweitert. Zusätzlich wurde ein neuer
      Service angekündigt: der Software Manager. Diese Technologie enthält die
      folgenden Verbesserungen im Vergleich zur älteren Version:

        - Der Update-Agent unterstützt nun komplett die Bedienung über die
          Kommandozeile.
        - Ein Textmodus-Konfigurationstool ist enthalten.
        - Der GUI-Modus kann durch Verwendung der --nox Befehlszeilenoption
          deaktiviert werden.
        - Intelligentere Lösung einer komplexen Anzahl von Paketabhängigkeiten.
        - --whatprovides und --solvedeps Befehlszeilenoptionen ermöglichen das
          Abfragen der Red Hat Network Datenbank, um Paketabhängigkeiten zu
          ermitteln.
        - Die Befehlszeile --packagedir ermöglicht es, eine Liste Verzeichnisse
          anzugeben. In diesen Verzeichnissen wird nach Paketen gesucht, wenn 
          Abhängigkeiten gelöst werden.
        _ Kernel-Upgrades können jetzt vom Update Agent durchgeführt werden.

    o Emacs/XEmacs site-start.d Verzeichnisse-Emacs/XEmacs unterstützen ein
      site-start.d Verzeichnis. Pakete können nun emacs .el Start-Dateien in
      das passende Verzeichnis legen, und diese werden geladen, wenn der Editor
      startet. Die site-start.el-Datei muss daher nicht mehr direkt bearbeitet
      werden. Die Verzeichnisse sind die folgenden:

            /usr/share/emacs/site-lisp/site-start.d
            /usr/lib/xemacs/xemacs-packages/lisp/site-start.d

    o Neues ADSL/ISDN Konfigurationstool-internet-config ersetzt adsl-config
      und isdn-config. Es leitet die neuen Benutzer beim Konfigurieren dieser
      beliebten Verbindungsmethoden an.

    o Aktualisierung von PostgreSQL-Wenn Sie Red Hat Linux 6.2 (oder eine
      ältere Version) aktualisieren, müssen Ihre bestehenden Datenbanken einen
      dump-and-restore Zyklus unterlaufen. Die beste Methode, um auf Red Hat
      Linux 7.1 zu aktualisieren, bietet pg_dumpall(1) Nach der Aktualisierung
      sehen Sie sich bitte die README.rpm -Datei in /usr/share/doc/
      postgresql*/ an.

      Beachten Sie auch, dass die alten Binärdateien nach dem Aktuali-
      sierungsprozess nicht verloren gehen (zusammen mit einem Helfer-Skript).
      Dennoch ist es äußerst empfehlenswert, vor dem Aktualisierungsprozess 
      zu dumpen und anschließend wiederherzustellen (nachdem die alte 
      Datenbank entfernt wurde).

    o Aktualisierung von OpenLDAP-Das Speicherformat auf der Festplatte von
      slapd, dem Standalone-OpenLDAP Server, wurde geändert. Benutzer, die
      LDAP-Server von vorherigen Red Hat Linux Versionen aktualisieren, werden
      ihre Verzeichnisse auf LDIF-Dateien mit ldbmcat -n dumpen und sie mit
      slapadd in ein neues Format bringen müssen.

    o IMAP-Server Änderungen-Der IMAP-Server verwendet nun standardmäßig
      seinen einge-bauten SSL-Support anstatt des Tunneling-Supports von 
      stunnel. Daher hat sich der Name der Zertifizierungsdatei von imapd 
      von stunnel.pem auf imapd.pem geändert. Benutzer, die ältere Red Hat 
      Linux Versionen aktualisieren, müssen ihre bestehenden Zertifizierungen 
      umbenennen, kopieren oder symbolisch verlinken.

    o Sendmail-Standardmäßig akzeptiert Sendmail nur Netzwerkverbindungen
      vom lokalen Computer. Wenn Sie Sendmail als Server für andere Clients 
      konfigurieren möchten, bearbeiten Sie bitte /etc/mail/sendmail.mc und 
      ändern Sie DAEMON_OPTIONS so, dass auch auf anderen Netzwerkanschlüssen 
      Verbindungen entgegengenommen werden, oder kommentieren Sie diese Option
      ganz aus. Sie werden /etc/sendmail.cf neu generieren müssen, indem Sie 
      Folgendes ausführen:

            m4 /etc/mail/sendmail.mc > /etc/sendmail.cf

      Beachten Sie, dass das Paket sendmail-cf für diesen Vorgang installiert
      sein muss.

    o Andere Paket-Glanzlichter:

        - Ogg Vorbis Audio Encoder/Decoder
        - Mozilla Web-Browser
        - LSB-konforme SGML und XML-Pakete
        - KDE 2.1 und KOffice
        - BIND 9.x mit DNSsec Support und Remote Named Control
        - SSL-Support in links, slrn, OpenLDAP und pine
        - Pine 4.33
        - Quanta HTML Editor (auf PowerTools)
        - Postfix und exim (auf PowerTools), enthalten SSL/TLS Support
        - WINE (auf PowerTools) kann direkt Windows .exe-Binärdateien von Linux
          ausführen

    o Überholte Pakete-Die folgenden Pakete sind überholt und werden
      zukünftig nicht mehr erscheinen:

        - AfterStep
        - Netscape 4.x
        - Qt 1.x
        - KDE v1 Kompatibilitätsbibliotheken/Build Umgebung
        - elm
        - linuxconf
        - ncpfs
        - mars_nwe
      


Bekannte Themen/Probleme:
-------------------------

    o Der PCMCIA-Support hat sich seit Red Hat Linux 7 sehr verändert. Wenn
      Sie PCMCIA-Support auf älteren Versionen von Red Hat Linux benutzer-
      definiert haben, sollten Sie Ihre Änderungen kontrollieren.

    o Einige Java JVMs (sowohl von Sun als auch IBM) funktionieren nicht mit
      den Floating stack-Merkmalen der Version i686 von glibc. Dies liegt an 
      Annahmen bei der Programmierung der JVMs, die heute nicht mehr gültig 
      sind. Die Hersteller der JVMs arbeiten bereits an den nötigen Korrek-
      turen. Solange diese korrigierten JVM-Pakete nicht erhältlich sind, 
      sollten Sie glibc dazu zwingen, das überholte Stack-Modell zu verwenden,
      indem Sie die folgende Umgebungsvariable verwenden:

                          LD_ASSUME_KERNEL=2.2.5



Erweiterungen und Veränderungen der Dokumentation
-------------------------------------------------

    o Zusätzliche Dokumentation zur Datei /etc/sysconfig/vncservers-Aus
      zeitlichen Gründen standen die folgenden Informationen zum Druckdatum
      der Red Hat Linux Referenzhandbücher noch nicht zur Verfügung. Die Datei
      /etc/sysconfig/vncservers konfiguriert das Starten des Virtual
      Network Computing (VNC) Servers. VNC ist ein Remote Display System, das
      es Ihnen ermöglicht , eine Desktopumgebung nicht nur vom Gerät aus zu
      sehen, auf dem es läuft, sondern auch über verschiedene Netzwerke (von 
      einem LAN bis zum Internet), sowie dies mit einer Vielzahl von 
      Gerätearchitekturen zu tun.

      Der Inhalt könnte wie folgt aussehen:

      VNCSERVERS=<value>, wobei <value> auf so etwas wie 1:fred eingestellt
      ist, um anzugeben, dass ein VNC-Server für den Benutzer-fred auf dem 
      Display :1 gestartet werden sollte. Der Benutzer fred muss über 
      vncpasswd ein Passwort gesetzt haben, bevor er versucht, den Remote 
      VNC-Server zu kontaktieren.

      Beachten Sie, dass Ihre Kommunikation beim Verwenden eines VNC-Servers
      unverschlüsselt ist und daher nicht auf einem unsicheren Netzwerk 
      verwendet werden sollte. Spezifische Anweisungen bezüglich des Gebrauchs
      von SSH für die VNC-Kommunikation finden Sie unter http://www.uk.
      research.att.com/vnc/ sshvnc.html. Detaillierte Informationen über SSH 
      finden Sie in den Red Hat Linux Referenzhandbüchern zur
      Benutzerdefinierten Konfiguration.

i386 7.1
